---
title: RTCRtpTransceiver.receiver
slug: Web/API/RTCRtpTransceiver/receiver
tags:
  - API
  - Media
  - Property
  - RTCRtpTransceiver
  - RTP
  - Reference
  - WebRTC
  - receiver
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only  <code><strong>receiver</strong></code> property of WebRTC's {{domxref("RTCRtpTransceiver")}} interface indicates the {{domxref("RTCRtpReceiver")}} responsible for receiving and decoding incoming media data for the transceiver's stream.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>rtpReceiver</em> = <em>RTCRtpTransceiver</em>.receiver;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("RTCRtpReceiver")}} object which is responsible for receiving and decoding incoming media data whose media ID is the same as the current value of {{domxref("RTCRtpTransceiver.mid", "mid")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtptransceiver-receiver", "RTCRtpTransceiver.receiver")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpTransceiver.receiver")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">Introduction to the Real-time Transport Protocol (RTP)</a></li>
 <li>{{domxref("RTCRtpReceiver")}}</li>
</ul>
